Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Axis & Allies 1942 Online is now available in Early Access! Buy it on Steam. The FAQ is available.
New Premium Module: Tyrants of the Moonsea! Read More
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

[MOD] The Chaos Sorcerer: A Wild Magic Kit for Sorcerers

124»

Comments

  • TurmobilTurmobil Member Posts: 4
    Flashburn said:

    Turmobil said:

    I just have one question - is it possible to get a readme or something similar with the locations of the new items added? I think they're a really cool idea and I'd hate to miss out on them.

    Here's the locations of the special items:
    Akadi's Cloak of Rapid Motion:
    -Drops from the Air Aspect in the Air elemental challenge room of Durlag's Tower in BG1.

    Istishia's Mind Shield:
    -In the not-so-random encounter area with the orcs fighting trolls in SoD. It is inside the cave and through the big pool of water guarded by a bunch of trolls. Infravision from any source is required to allow diving in to the pool. The circlet is in a container on the far east end of cave that you reach by diving through the pool of water, guarded by freshwater trolls and slimes.

    Grumbar's Defense:
    -Therndle Dagelfodd gives this to you as a reward for freeing his son from the imprisonment device in the Underdark in BG2.

    Kossuth's Stinger:
    -Drops from the fire giant priest Berenn in ToB inside Yaga-Shura's enclave.
    Awesome! Thanks for the help man.

    Flashburn
  • StormfinStormfin Member Posts: 24
    edited October 2018
    Hello @Agent77,

    Its not a big deal, but Chaos Sorcerer seems to clash with Exotic Items pack from G3's The Calling - if installed after it.

    Tested on BGEE+SOD 2.5. No other mods. As I say, not a huge issue as, it seems to be ok if I reverse the mod order - just thought I'd let you know.


    [./override/%LIGHTHOUSE_BLACKALARICSCAVE_BCS.BCS%] loaded, 375 bytes
    ERROR: [%LIGHTHOUSE_BLACKALARICSCAVE_BCS.BCS%] -> [override/%LIGHTHOUSE_BLACKALARICSCAVE_BCS.BCS%] Patching Failed (COPY) (Failure("Unknown extension for DECOMPILE_AND_PATCH: bcs%"))
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.

    ERROR Installing ["Chaos Sorcerer" kit], rolling back to previous state
    Unable to Unlink [A7-ChaosSorcerer/backup/0/OTHER.0]: Unix.Unix_error(1, "unlink", "A7-ChaosSorcerer/backup/0/OTHER.0")
    [A7-ChaosSorcerer/backup/0/UNSETSTR.0] SET_STRING uninstall info not found
    Will uninstall 38 files for [A7-CHAOSSORCERER/SETUP-A7-CHAOSSORCERER.TP2] component 0.
    Uninstalled 38 files for [A7-CHAOSSORCERER/SETUP-A7-CHAOSSORCERER.TP2] component 0.
    Unable to Unlink [A7-ChaosSorcerer/backup/0/READLN.0]: Unix.Unix_error(20, "unlink", "A7-ChaosSorcerer/backup/0/READLN.0")
    Unable to Unlink [A7-ChaosSorcerer/backup/0/READLN.0.TEXT]: Unix.Unix_error(20, "unlink", "A7-ChaosSorcerer/backup/0/READLN.0.TEXT")
    THECALLING/SETUP-THECALLING.TP2 0 40 Installed
    ERROR: Failure("Unknown extension for DECOMPILE_AND_PATCH: bcs%")
    Please make a backup of the file: SETUP-A7-CHAOSSORCERER.DEBUG and look for support at: Argent77


  • argent77argent77 Member Posts: 2,752
    @Stormfin The problem lies with the component of "The Calling". It seems to fail to resolve a variable, which results in an invalid script to be installed (%Lighthouse_BlackAlaricsCave_BCS.bcs%). I'd suggest to report this issue in the respective forum of that mod.

    Aedan
  • Saigon1983Saigon1983 Member Posts: 156
    @argent77. Hi. I want to provide you a russian translation for this mod. Please, include it in release.

    argent77
  • argent77argent77 Member Posts: 2,752
    @Saigon1983 Thank you! I'll add it to the mod shortly.

    Btw, setup.tra still contains English lines. Is this intended?

  • ArthasArthas Member Posts: 922
    edited May 22
    Hello @argent77,
    do this mod and "wild magic additions" clash conceptually? I read it is compatbile, just asking if you would leave your mod and the other in the same game

    https://github.com/BGforgeNet/bg2-wildmage

    Post edited by Arthas on
  • OlvynChuruOlvynChuru Member Posts: 2,281
    I had a cool little idea for Chaotic Eruption: you could make it deal 1d100 damage of each damage type rather than 10d10 (the PnP equivalent of 1d100 would be rolling percentile dice). A 1d100 roll varies much more than a 10d10 roll (since 10d10 rolls tend to be concentrated around the middle value of 55, whereas with 1d100 every value is equally likely), so it'll be a bit more chaotic. :)

    bob_veng
  • ArthasArthas Member Posts: 922
    Does anyone know if it would be possible to make this compatible for BG:T, or does it use opcodes that aren't available for it?

  • RangeltoftRangeltoft Member Posts: 73
    Anyone been able to get this kit to work with mods that alters race restrictions?
    Really want to try out a Chaos Sorcerer Hafling or Gnome, but everytime i add an mod to unlock sorcerer for those races the option to choose the Chaos Sorcerer kit disappears

  • argent77argent77 Member Posts: 2,752
    OlvynChuru wrote: »
    I had a cool little idea for Chaotic Eruption: you could make it deal 1d100 damage of each damage type rather than 10d10 (the PnP equivalent of 1d100 would be rolling percentile dice). A 1d100 roll varies much more than a 10d10 roll (since 10d10 rolls tend to be concentrated around the middle value of 55, whereas with 1d100 every value is equally likely), so it'll be a bit more chaotic. :)
    Sounds like a good idea. I'll play a bit around with it and see how it works. :)
    Arthas wrote: »
    Does anyone know if it would be possible to make this compatible for BG:T, or does it use opcodes that aren't available for it?
    Unfortunately that's not possible. This mod requires several features and externalizations, which are only available since more recent patch versions of the EE games.
    Rangeltoft wrote: »
    Anyone been able to get this kit to work with mods that alters race restrictions?
    Really want to try out a Chaos Sorcerer Hafling or Gnome, but everytime i add an mod to unlock sorcerer for those races the option to choose the Chaos Sorcerer kit disappears
    The mod shouldn't contain anything hardcoded to a specific race. You'll likely have to install mods altering race restrictions after the Chaos Sorcerer Kit to have any effect.
    I've made a quick test with Tweaks Anthology's "Remove racial restrictions for kits" component and it worked as intended.

  • argent77argent77 Member Posts: 2,752
    New version: Chaos Sorcerer Kit v2.5

    Changelog:

    Aedan
Sign In or Register to comment.